Exiv2::Internal::SonyMakerNote Class Reference

MakerNote for Sony cameras. More...

`#include <sonymn_int.hpp>`

## Static Public Member Functions

static const TagInfo * | tagList ()
| Return read-only list of built-in Sony tags.
static const TagInfo * | tagListCs ()
| Return read-only list of built-in Sony Standard Camera Settings tags.
static const TagInfo * | tagListCs2 ()
| Return read-only list of built-in Sony Standard Camera Settings version 2 tags.
static const TagInfo * | tagListFp ()
| Return read-only list of built-in Sony FocusPosition tags.
static const TagInfo * | tagList2010e ()

## Print functions for Sony MakerNote tags

static std::ostream & | print0xb000 (std::ostream &, const Value &, const ExifData *)
| Print Sony Camera Model.
static std::ostream & | printImageSize (std::ostream &, const Value &, const ExifData *)
| Print Full and Preview Image size.

## Detailed Description

MakerNote for Sony cameras.

The documentation for this class was generated from the following files:

- sonymn_int.hpp
- sonymn_int.cpp